Subject: bug#39649: 27.0.60; tab-line doesn't scroll

From: Juri Linkov <[email-masked]>
Date: Tue, 25 Feb 2020 23:20:10 +0200

Please help to understand how to reproduce this bug:

> I have the same issue with `emacs -q`

Have you tried `emacs -Q`?
I don't know if there is any difference between
`emacs -Q` and `emacs -q` on Windows.  But `emacs -q`
loads all resources so maybe it loads additional
face definitions for tab-line.

I see that left/right arrows in your bug report are XPM images.
But I don't understand how this is possible because
(info "(efaq-w32) Image support") says that Emacs has
no built-in support for XPM on Windows.

Please try to reproduce the same bug without XPM images
by evaluating these lines:

(setq tab-line-left-button " <")
(setq tab-line-right-button "> ")

Also it's possible that maybe the widths of these buttons
affect the calculations somehow.

Please also try to remove these arrow buttons temporarily with:

(setq tab-line-left-button nil)
(setq tab-line-right-button nil)

Do you see the same bug?

> on GNU Emacs 27.0.60 (build 1, x86_64-w64-mingw32) of 2020-02-10.

The compilation date is 2020-02-10.
Did you apply the patch that I sent?
I could commit the patch, then you could
update your repository if you want.